Website Monitoring - Bug #2505
Bug # 2500 (Closed): Doesn't work on Splunk 8.0

Setup page doesn't work
11/11/2019 02:56 AM - Luke Murphey

Status: Closed Start date: 11/10/2019
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 2.8

Description

Associated revisions

Revision 492 - 11/12/2019 01:25 AM - luke.murphey
Fixing URL for the config page

Reference #2505

History

#1 -11/11/2019 06:50 AM - Luke Murphey

The problem is that | don't ship a default website_monitoring.conf stanza but | also don't support handleCreate.

#2 - 11/12/2019 12:39 AM - Luke Murphey

Questions:

® Does editing work?
o It does
¢ What does restmap.conf say is the create action?
¢ |s there any difference between the edit and new requests?
o On new: http://127.0.0.1:8000/en-US/splunkd/servicesNS/nobody/website _monitoring/admin/website _monitoring/default
o On edit: http://127.0.0.1:8000/en-US/splunkd/ _raw/servicesNS/nobody/website_monitoring/admin/website_monitoring/default
o Data:

output_mode json
name default
proxy_server
proxy_port
proxy_type http
proxy_ignore
proxy_user
proxy_password
thread_limit 201

*k

Observations:

e My log entry is not showing any calls to handleCreate()
e Are there any related messages?

500 Internal Server Error The server encountered an unexpected condition which prevented it from fulfillin
g the request.

2019-11-11 16:52:53,656 ERROR [5dca0265a010dde8290] error:335 - Traceback (most recent call last):
File "/Users/lmurphey/Splunk/800/1lib/python3.7/site-packages/cherrypy/_cprequest.py", line 628, in respo
http://127.0.0.1:8000/en-US/splunkd/servicesNS/nobody/website_monitoring/admin/website_monitoring/default
http://127.0.0.1:8000/en-US/splunkd/__raw/servicesNS/nobody/website_monitoring/admin/website_monitoring/default

nd
self._do_respond(path_info)
File "/Users/lmurphey/Splunk/800/1lib/python3.7/site-packages/cherrypy/_cprequest.py", line 687, in _do_r
espond
response.body = self.handler ()
File "/Users/lmurphey/Splunk/800/1lib/python3.7/site-packages/cherrypy/lib/encoding.py", line 219, in _ ¢
all__
self.body = self.oldhandler (*args, **kwargs)
File "/Users/lmurphey/Splunk/800/1lib/python3.7/site-packages/splunk/appserver/mrsparkle/lib/htmlinjectio
ntoolfactory.py", line 75, in wrapper
resp = handler (*args, **kwargs)
File "/Users/lmurphey/Splunk/800/1lib/python3.7/site-packages/cherrypy/_cpdispatch.py", line 54, in __cal
1
return self.callable(*self.args, **self.kwargs)
File "/Users/lmurphey/Splunk/800/1lib/python3.7/site-packages/splunk/appserver/mrsparkle/lib/routes.py",
line 383, in default
return route.target (self, **kw)
File "&lt;/Users/lmurphey/Splunk/800/1lib/python3.7/site-packages/decorator.py:decorator-gen-1656&gt;", 1
ine 2, in index
File "/Users/lmurphey/Splunk/800/1lib/python3.7/site-packages/splunk/appserver/mrsparkle/lib/decorators.p
y", line 40, in rundecs
return fn(*a, **kw)
File "&lt; /Users/lmurphey/Splunk/800/1ib/python3.7/site-packages/decorator.py:decorator-gen—-1654&gt;", 1
ine 2, in index
File "/Users/lmurphey/Splunk/800/1ib/python3.7/site-packages/splunk/appserver/mrsparkle/lib/decorators.p
y", line 118, in check
return fn(self, *a, **kw)
File "&lt; /Users/lmurphey/Splunk/800/1ib/python3.7/site-packages/decorator.py:decorator-gen-1653&gt;", 1
ine 2, in index
File "/Users/lmurphey/Splunk/800/1lib/python3.7/site-packages/splunk/appserver/mrsparkle/lib/decorators.p
y", line 166, in validate_ip
return fn(self, *a, **kw)
File "&lt;/Users/lmurphey/Splunk/800/1lib/python3.7/site-packages/decorator.py:decorator-gen-1652&gt;", 1
ine 2, in index
File "/Users/lmurphey/Splunk/800/1lib/python3.7/site-packages/splunk/appserver/mrsparkle/lib/decorators.p
y", line 304, in handle_exceptions
return fn(self, *a, **kw)
File "/Users/lmurphey/Splunk/800/1lib/python3.7/site-packages/splunk/appserver/mrsparkle/controllers/prox
y.py", line 176, in index
logger.debug (' [Splunkweb Proxy Traffic] request body: %$s' % cherrypy.request.body_params)
File "/Users/lmurphey/Splunk/800/1lib/python3.7/site-packages/cherrypy/__init__.py", line 224, in __getat
tr_
return getattr (child, name)
AttributeError: 'Request' object has no attribute 'body_params'
#3 - 11/12/2019 01:28 AM - Luke Murphey
- Status changed from New to Closed

- % Done changed from 0 to 100
